Bug 1000146 - RHN - Delete Server causes Erroneous calculations For Server count
RHN - Delete Server causes Erroneous calculations For Server count
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Maintenance (Show other bugs)
MR53 (AMS)
Unspecified Unspecified
urgent Severity medium
: ---
: ---
Assigned To: Jared Blashka
David Spalding
Depends On:
  Show dependency treegraph
Reported: 2013-08-22 15:44 EDT by vikas kumar
Modified: 2015-01-19 19:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-03 14:51:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description vikas kumar 2013-08-22 15:44:07 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:
When we call delete server, it checks to see if system is physical or virtual. For some virtual systems, query somehow finds it as both (physical & virtual) and hence reduces the server count twice. 

Steps to Reproduce:
1. Login as qa@redhat.com to RHN
2. find a virutal system in list (physical/virutal system has different icons)
3. check the channels it subscribed to. 
4. check the channel family those channels are in. 
5. find that channel family in software entitlements page and look at the counts for current_members and current_fve_members count.
6. delete the system.
7. check the counts again, it should be just reduced by 1.


Actual results:
Right now it reduces once for current_members and once for fve_members. 

Expected results:
It should reduce server count just once for either  current_members or once for fve_members. 

Additional info:
Comment 1 David Spalding 2013-08-23 17:21:02 EDT
Tested good in QA:

Comment 2 David Spalding 2013-09-03 14:51:13 EDT
Released to production 8/31/2013.

Note You need to log in before you can comment on or make changes to this bug.